------------------------------------------------------------------------------------
--Name:  	yundonghui1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(322, 446)
CppScriptMgr:SetViewScale(350)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061930, 322, 446, "Kelly", 0, 0)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(322, 449)
Player_2:SetDir(4)
local effect_0 = CppScriptMgr:AddEffect("Fruits_bossjs", 322, 446, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("2017Spring", 322, 446, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Ready to join in the exciting and thrilling summer sports games?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202302", 150, 430, "Kelly", 250, 655, false)
CppScriptMgr:WaitMilSec(1200)
local effect_2 = CppScriptMgr:AddEffect("Fruits_bossjs", 311, 441, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(800)
CppScriptMgr:NpcCallOut("I can send you to the venue to participate in various sports events and compete in rankings!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202302", 150, 430, "Kelly", 250, 655, false)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(910)
local effect_3 = CppScriptMgr:AddEffect("2017Spring", 322, 446, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1080)
Player_2:Say("Sounds exciting!!!", 1000)
local effect_4 = CppScriptMgr:AddEffect("Fruits_bossjs", 322, 446, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(950)
CppScriptMgr:NpcCallOut("Now let`s connect with Jack who is hosting the opening ceremony at the venue!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202302", 150, 430, "Kelly", 250, 655, false)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1310)
local effect_5 = CppScriptMgr:AddEffect("2017Spring", 322, 446, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(690)
Player_2:Say("Can`t wait!", 1500)
CppScriptMgr:WaitMilSec(500)
local effect_6 = CppScriptMgr:AddEffect("QiFuLev3", 322, 449, 33, 1, 1, 1)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1500)